program ranodmizer;
 Uses crt;
 var y,x,i:integer;
 const N=5;
  begin
   i:=1; //попытки
   y:= random (10); //число, которое угадываешь
   //writeln (y);
   WriteLn('Угадай число');
   ReadLn(x); //угадываешь
   While ((x<>y)and(i<N+1)) do //если неверно
  begin
   {
   if x>y then writeln ('Больше');
   if x<y then writeln ('Меньше');
   }
   writeLn('Неверно, попробуй еще раз');
   ReadLn(x);
   inc(i); //если еще раз неверно,while вернет к begin
  end;
   if(x=y)then writeLn ('Молодец');
   if not (x=y) then writeln ('Ты проиграл');
   readkey;
  end.
  